<?php

/**
 * AUDIO
 */

if (function_exists("register_field_group")) {
    register_field_group(array(
        'id' => 'acf_background-audio',
        'title' => 'Custom background audio (overrides theme options global settings)',
        'fields' => array(
            array(
                'key' => 'field_534df1e202c96',
                'label' => 'Add custom background audio?',
                'name' => 'add_background_audio',
                'type' => 'true_false',
                'message' => '',
                'default_value' => 0,
            ),
            array(
                'key' => 'field_534df1f902c97',
                'label' => 'Background audio source (.mp3)',
                'name' => 'background_audio_source',
                'type' => 'file',
                'conditional_logic' => array(
                    'status' => 1,
                    'rules' => array(
                        array(
                            'field' => 'field_534df1e202c96',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'save_format' => 'url',
                'library' => 'all',
            ),
            array(
                'key' => 'field_534df1e789c96',
                'label' => 'Loop background audio?',
                'name' => 'loop_background_audio',
                'type' => 'true_false',
                'conditional_logic' => array(
                    'status' => 1,
                    'rules' => array(
                        array(
                            'field' => 'field_534df1e202c96',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'message' => '',
                'default_value' => 0,
            ),
            array(
                'key' => 'field_534d456789c96',
                'label' => 'Start with paused audio?',
                'name' => 'pause_background_audio',
                'type' => 'true_false',
                'conditional_logic' => array(
                    'status' => 1,
                    'rules' => array(
                        array(
                            'field' => 'field_534df1e202c96',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'message' => '',
                'default_value' => 0,
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                    'order_no' => 20,
                    'group_no' => 0,
                ),
            ),
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'portfolio',
                    'order_no' => 20,
                    'group_no' => 0,
                ),
            ),
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'photogallery',
                    'order_no' => 20,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array(
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array(
            ),
        ),
        'menu_order' => 2,
    ));
}

if(function_exists("register_field_group"))
{
    register_field_group(array (
        'id' => 'acf_popup-window',
        'title' => 'Popup window',
        'fields' => array (
            array (
                'key' => 'field_527aa5136afa6',
                'label' => 'Add popup window?',
                'name' => 'add_popup_window',
                'type' => 'true_false',
                'message' => '',
                'default_value' => 0,
            ),
            array(
                'key' => 'field_535e7d89bf8d4',
                'label' => 'Popup alias',
                'name' => 'popup_alias',
                'type' => 'text',
                'instructions' => 'Set different aliases if you want to add multiple popups on site',
                'default_value' => 'popup',
                'placeholder' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_536c287f6623c',
                'label' => 'Popup type',
                'name' => 'popup_type',
                'type' => 'select',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'choices' => array(
                    'image' => 'Image',
                    'html' => 'Html',
                ),
                'default_value' => 'image',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_537aa5a86afa7',
                'label' => 'Popup image',
                'name' => 'popup_image',
                'type' => 'image',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                        array (
                            'field' => 'field_536c287f6623c',
                            'operator' => '==',
                            'value' => 'image',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'save_format' => 'object',
                'preview_size' => 'thumbnail',
                'library' => 'all',
            ),
            array(
                'key' => 'field_5356776ebb28f',
                'label' => 'Html',
                'name' => 'popup_html',
                'type' => 'textarea',
                'column_width' => 30,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                        array (
                            'field' => 'field_536c287f6623c',
                            'operator' => '==',
                            'value' => 'html',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'rows' => '',
                'formatting' => 'html',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                    'order_no' => 20,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 2,
    ));
}

if(function_exists("register_field_group"))
{
    register_field_group(array (
        'id' => 'acf_sidebar-link',
        'title' => 'Sidebar Link',
        'fields' => array (
            array (
                'key' => 'field_527aa5136afa6_link',
                'label' => 'Add link to sidebar?',
                'name' => 'add_sidebar_link',
                'type' => 'true_false',
                'message' => '',
                'default_value' => 0,
            ),
            array(
                'key' => 'field_535e7d89bf8d4_link_label',
                'label' => '',
                'name' => 'sidebar_link_label',
                'type' => 'text',
                'instructions' => 'Write name of sidebar button.',
                'default_value' => 'Link',
                'placeholder' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6_link',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_535e7d89bf8d4_link',
                'label' => '',
                'name' => 'sidebar_link',
                'type' => 'text',
                'instructions' => 'Fill in this field with your custom link',
                'default_value' => 'http://',
                'placeholder' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6_link',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
			array(
                'key' => 'field_535e7d89bf8d4_link_ico',
                'label' => '',
                'name' => 'sidebar_link_ico',
                'type' => 'text',
                'instructions' => 'Write here a class of icon. Defualt is "ggticon-Broke-Link2"',
                'default_value' => 'ggticon-Broke-Link2',
                'placeholder' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6_link',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
			array(
                'key' => 'field_535e7d89bf8d4_link_target',
                'label' => '',
                'name' => 'sidebar_link_target',
                'type' => 'true_false',
                'instructions' => 'Open link on new page?',
                'default_value' => 0,
                'placeholder' => '',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_527aa5136afa6_link',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                    'order_no' => 20,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 2,
    ));
}
